Page MenuHomePhabricator

Allow users to filter Special:BlockList on include/exclude partial blocks
Closed, ResolvedPublic2 Story Points

Description

Now that partial blocks are being configured on several wikis, we will want to give wiki administrators and users a way to view all the partial blocks that are currently active. Special:BlockList is the current tool to list all blocks on a wiki, we should expand on this.


Current Special:BlockList design

https://en.wikipedia.org/wiki/Special:BlockList

We will get a final OK from @Prtksxna about the design when he is back from the New Readers kick-off


Acceptance criteria

  • Make the 'Items' dropdown 50% width and add a dropdown to its left (on LTR lang wikis)
  • The label should be Type:
  • The options should be:
    • All — Should list all blocks
    • Sitewide — Should list all sitewide blocks, omitting any partial blocks
    • Partial — Should list all partial blocks, omitting any sitewide blocks
  • If a user configures a search that results in no results, the existing 'no results' message should be displayed (The requested IP address or username is not blocked.)
  • There should be URL parameters that correspond to the new filters
  • These UI changes should only occur on wikis with the Partial Blocks feature flag enabled.
  • Default should be 'All'

Future work

  • We may want to allow admins to type in the pagename and/or select a namespace and see a list of all partial blocks levied against that page/namespace, but that is not part of this ticket

Event Timeline

TBolliger created this task.Apr 5 2018, 5:09 PM
TBolliger moved this task from Untriaged to spare column on the Anti-Harassment board.

Or maybe this is a filter for Sp:BlockList.

Yes. I don't think this should be a whole new page.

TBolliger renamed this task from TBD: Create new special page for listing granular blocks to Allow users to see a list of granular blocks (like Special:BlockList).Apr 11 2018, 7:09 PM
TBolliger triaged this task as Low priority.
TBolliger renamed this task from Allow users to see a list of granular blocks (like Special:BlockList) to Allow users to see a list of partial blocks (like Special:BlockList).Jun 12 2018, 10:31 PM
TBolliger renamed this task from Allow users to see a list of partial blocks (like Special:BlockList) to Allow users to see a list of partial blocks, filterable to the page or namespace (likely search fields on Special:BlockList).Aug 8 2018, 12:11 AM
TBolliger updated the task description. (Show Details)
TBolliger renamed this task from Allow users to see a list of partial blocks, filterable to the page or namespace (likely search fields on Special:BlockList) to Allow users to see a list of partial blocks, filterable to the page or namespace on Special:BlockList.Aug 24 2018, 3:39 PM
TBolliger renamed this task from Allow users to see a list of partial blocks, filterable to the page or namespace on Special:BlockList to Allow users to filter Special:BlockList on include/exclude partial blocks.Feb 20 2019, 10:20 PM
TBolliger updated the task description. (Show Details)
TBolliger added a subscriber: Prtksxna.
TBolliger updated the task description. (Show Details)Feb 21 2019, 7:52 PM
TBolliger set the point value for this task to 2.

Making the Items per page dropdown narrower and adding a new Type dropdown there makes sense. It's good that it doesn't increase the size of the filter section either.

Make the 'Items' dropdown 50% width and add a dropdown to its right (on LTR lang wikis)

Lets add the Type dropdown to its left though, its a more important filter and should surface earlier.

Make the 'Items' dropdown 50% width and add a dropdown to its right (on LTR lang wikis)

Lets add the Type dropdown to its left though, its a more important filter and should surface earlier.

Can do. I'll update the task. Thank you!

TBolliger updated the task description. (Show Details)Feb 26 2019, 4:18 PM
dmaza edited projects, added Anti-Harassment (Zayin - ז); removed Anti-Harassment.
dmaza claimed this task.

Change 502543 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] Add block type filter to Special:BlockList

https://gerrit.wikimedia.org/r/502543

Copying from gerrit, a question about the acceptance criterion:

  • If a user configures a search that results in no results, the existing 'no results' message should be displayed (The requested IP address or username is not blocked.)

If someone is sitewide blocked, and the list is filtered to their username with block type Partial, the message says "The requested IP address or username is not blocked." This is not true any more. Should we change that message (ipblocklist-no-results) to something like: "No blocks found for the requested IP address or username."?

If someone is sitewide blocked, and the list is filtered to their username with block type Partial, the message says "The requested IP address or username is not blocked." This is not true any more. Should we change that message (ipblocklist-no-results) to something like: "No blocks found for the requested IP address or username."?

Good catch, I would say so. @aezell, @Niharika what do you think?

It could definitely be misleading. Maybe something like "No matching blocks found..." is even more exact?

I like Alex's idea! Something like:

  • No matching blocks found for the requested IP address or username OR
  • No blocks found for the requested IP address or username matching the search criteria

should be fine.

dmaza added a comment.Apr 16 2019, 2:29 PM

I'm going with No matching blocks found for the requested IP address or username

Change 502543 merged by jenkins-bot:
[mediawiki/core@master] Add block type filter to Special:BlockList

https://gerrit.wikimedia.org/r/502543

dom_walden added a subscriber: dom_walden.

I checked that filters were applied correctly for a combination of conditions (sitewide/partial, temporary, IP/Range/User).

I also checked that these were preserved across pagination.

For b/w compatibility, I checked the filter works when $wgEnablePartialBlocks is not set.

I did notice that blocks which don't block editing (i.e. only block account creation or emailing) are counted as partial. I have never thought of this before, but it makes sense. @Niharika ?

I did notice that blocks which don't block editing (i.e. only block account creation or emailing) are counted as partial.

Making this type of block became possible due to the way partial blocks was implemented (i.e. not requiring any restrictions when the flag is set to partial), but I'm not sure where that decision came from or whether it was part of the original brief for partial blocks.

Niharika closed this task as Resolved.Apr 24 2019, 6:20 PM

I think that makes too, @dom_walden. We can revisit this if we hear from users about this.

Change 512370 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] SpecialBlockList: Merge stylesheet in into 'mediawiki.special' bundle

https://gerrit.wikimedia.org/r/512370

Change 512370 merged by jenkins-bot:
[mediawiki/core@master] SpecialBlockList: Merge stylesheet in into 'mediawiki.special' bundle

https://gerrit.wikimedia.org/r/512370